
Redmine - Defect #40292

User Eucaris Josefina Esis Calderon (EucarisEsis) created strange Wiki page (probably SPAM)

2024-02-21 09:12 - Alex Che

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Eucaris Josefina Esis Calderon user was created and this user was immediately used to create strange page:

https://www.redmine.org/projects/redmine/wiki/Proceso_de_Anulacion_para_el_Club_Patagonia_

Whole list of this user's activity could be found on his profile page.

History

#1 - 2024-02-21 16:50 - Bernhard Rohloff

- Assignee changed from Jean-Philippe Lang to Go MAEDA

I think Go MAEDA is more active in the project and also has permissions to remove the page.

Let's see if he can remove it.

#2 - 2024-02-21 16:55 - Alex Che

Bernhard Rohloff wrote in #note-1:

I think Go MAEDA is more active in the project and also has permissions to remove the page.

Let's see if he can remove it.

 Bernhard Rohloff and Go MAEDA - if you will grant me permissions I could directly do clean up without creating this kind issues. :)

#3 - 2024-02-22 16:46 - Alex Che

Just another one potential SPAM:

prince raj user was created and this user was immediately used to create strange page:

https://www.redmine.org/projects/redmine/wiki/Yttyytyt

Whole list of this user's activity could be found on his profile page.

#4 - 2024-02-26 21:00 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee changed from Go MAEDA to Marius BĂLTEANU

- Resolution set to Fixed

I've cleaned up those pages, thanks for pointing this out.

Alex Che wrote in #note-2:

Bernhard Rohloff and Go MAEDA - if you will grant me permissions I could directly do clean up without creating this kind issues. :)

 I gave you the Contributor role, please check if you have required permissions.

#5 - 2024-02-26 21:16 - Alex Che
Bernhard Rohloff and Go MAEDA - if you will grant me permissions I could directly do clean up without creating this kind issues. :)

 I gave you the Contributor role, please check if you have required permissions.

 Marius BĂLTEANU It looks like I have permissions to rollback revisions to old one but I have no permissions to delete pages and have no access to

user management.

#6 - 2024-02-26 21:20 - Marius BĂLTEANU

Alex Che wrote in #note-5:

[...]

Marius BĂLTEANU It looks like I have permissions to rollback revisions to old one but I have no permissions to delete pages

 Go MAEDA, are you agree to add the delete wiki page permission to Contributor role?

and have no access to user management.

 Unfortunately, this permission is available only for Administrators, it cannot be added to roles.

#7 - 2024-02-26 21:23 - Marius BĂLTEANU

Marius BĂLTEANU wrote in #note-6:

Alex Che wrote in #note-5:

[...]

Marius BĂLTEANU It looks like I have permissions to rollback revisions to old one but I have no permissions to delete pages

 Go MAEDA, are you agree to add the delete wiki page permission to Contributor role?

 I've added #40320 for this permission.

#8 - 2024-02-26 21:25 - Alex Che

Marius BĂLTEANU wrote in #note-7:

Marius BĂLTEANU wrote in #note-6:

Alex Che wrote in #note-5:

[...]

Marius BĂLTEANU It looks like I have permissions to rollback revisions to old one but I have no permissions to delete pages

 Go MAEDA, are you agree to add the delete wiki page permission to Contributor role?

 I've added #40320 for this permission.

 Marius BĂLTEANU It is too dangerous.

I would propose you to create the "SPAM Cleaner" role, grant it special permissions and add my user directly to the project by this role. So I will

inherit default permissions + special.
